apiVersion: cert-manager.io/v1
kind: Certificate
metadata:
    name: registry-prod-tls
    namespace: dev-stuff
spec:
    secretName: ENC[AES256_GCM,data:fQ2KKnBPanDQn8rYAnrSgX0=,iv:F0gAXbVyQHzpqla3VGv0Is3JDKRnjtMnUS7DCtWkmkY=,tag:kzlWkpz0vN+RmqU83bPmVA==,type:str]
    #ENC[AES256_GCM,data:kSTcXFphASc=,iv:rBeiIKGm+Tmc65qLwhpovikfu1HyJ2Xsvc/qP6vx2VM=,tag:pensxJ6WNIiOaZCcfn9syQ==,type:comment]
    duration: ENC[AES256_GCM,data:47t7RvI=,iv:lIQ/ErsVCoR0qwiwtOVLYxHbscWPlBenWwi1gvHlATM=,tag:o2fdiMk2QOnTDdfJd4JKuA==,type:str]
    #ENC[AES256_GCM,data:aN14huFpDKM=,iv:m8+JStMUf2UHai5hKsGeAvQGBGIo233vNbbUoXZmPxs=,tag:WwTuiZl9lZbq28jDjBGozw==,type:comment]
    renewBefore: ENC[AES256_GCM,data:wNzIKw==,iv:wi3TbIpqYh9irsNYOVKi7n4gfDfwQFC3Y+GRfBkaI/I=,tag:o91Y8uBKZVVeyCpIjSd24g==,type:str]
    subject:
        organizations:
            - ENC[AES256_GCM,data:es9R,iv:R8rJB+V14yv4Igz9w5KW7TDhtBvVXpAa+EI7Bbizlnc=,tag:s+0GpuoXrt8KDZiOcpTS5w==,type:str]
    commonName: ENC[AES256_GCM,data:1l/pmTNq3uYEtqJY7dDpQOKRbPZ4ow==,iv:SUH7CtKBVM/3Yj64g3IpCPsl6yOTQBnXh/K4o7QX4YA=,tag:wo3SJofQLeSamdwcIxfg1g==,type:str]
    isCA: ENC[AES256_GCM,data:c3nfRRs=,iv:9MMT98s7M+igftq4sz4NBtWrnXb/qrGCgaZZREDE+qY=,tag:MhIPlFAeXHaSMfofZT3IBA==,type:bool]
    privateKey:
        algorithm: ENC[AES256_GCM,data:Zg+K,iv:HfC5tEXz4kxLM5UdbKMYby5uK82+gtTaU4OeAjuWHjQ=,tag:ji8l0sc1O6eSDlxZEj3TAQ==,type:str]
        encoding: ENC[AES256_GCM,data:DnLrRnI=,iv:UZ3A2EGeUxDRHpnXDoQkhPZhq3VKs6V+F+QzRKf+JXo=,tag:ForMiBtMw2p8yNLceEKUtA==,type:str]
        size: ENC[AES256_GCM,data:kxUMAQ==,iv:B4RblvF8nNpw2zE4aU3TB/LHf2VrOlD84zlsszkTx5g=,tag:tSbZYOGreV2otQ3W30G11g==,type:int]
    usages:
        - ENC[AES256_GCM,data:JnZxA6KfkY2eVcI=,iv:KLSHb0QFk5mXSZHU0z7p4aH+atgbZ/+Owurc9qZ7h68=,tag:aV4if6UlYGSowYsUT4pmjQ==,type:str]
        - ENC[AES256_GCM,data:Q3xwXLKkX9bydAs=,iv:C9wmhTxppu2hUk6jMWzQTFRaa0t8d8+ZKMZGAu1YZD4=,tag:S7xE0lmokrDNKtjpdLWIoA==,type:str]
    dnsNames:
        - ENC[AES256_GCM,data:cvD5k9ToKOpyuEfhlSqb5wE/r0SCRA==,iv:BQ6W7WhHtWXlwwgqyjnyHpIBAHgY84K86peZefBpHVM=,tag:zkenQTKUoeKqC+XViV06bg==,type:str]
    issuerRef:
        name: ENC[AES256_GCM,data:Z/eVwkTpKKfJiG6aaLdBVw==,iv:EnWHC4dkd94QK/DgOh0W91Ner/ay+Oeq6kDyPjTBLF8=,tag:1N++l6lvcq17BB6gwHLAag==,type:str]
        kind: ClusterIssuer
        group: ENC[AES256_GCM,data:ItAibDIFskrqYsrC7Z7v,iv:zN/whw+vs9vdmWL1zMmkL/CgU9ptqt9V48okFTbNv1E=,tag:RJI6oESkj/chY4UoYd+7zw==,type:str]
sops:
    kms: []
    gcp_kms: []
    azure_kv: []
    hc_vault: []
    age:
        - recipient: age1u0mt3kmhsr9tz2jaw8n0ztu7s9hnlffkd2acxf85cvk6tysj4gsqqulfdq
          enc: |
            -----BEGIN AGE ENCRYPTED FILE-----
            YWdlLWVuY3J5cHRpb24ub3JnL3YxCi0+IFgyNTUxOSBlU296Skg0NzkrM1R4M09D
            ZnNtNVh2WG00U1lOaGhMUVpYQ1laOEVRUTBNCmgya3M3enJjRm80WHdydVh6OUVm
            NzdWR0NzN2ZEOFBYUG95WlBKM05ZTUkKLS0tIFk3Znk3WGxnRjZpejFFRGFOTVhh
            Q3hvK2JpUVhHbjBTVmRsSnpycWRHMWcKGvwJ+lktYqWGPlPmMAkTMMwMF9dEg0HS
            FUvbSlUifQdbJixnV2qY3j90MRlcMPFG1V7YzCmqDHgNHW8jbrsJNg==
            -----END AGE ENCRYPTED FILE-----
    lastmodified: "2025-06-29T21:30:59Z"
    mac: ENC[AES256_GCM,data:XkuOOlptSqmd+ZyFKyaQaI2qR49Lex2/4Fqx8ZB7vwLBBePn20rWJRvDU5yRlG1Ydt10UtL0VoDwmxB3cf3Bdg7nfejEpeCkcdJseSAPszAINgcGaPrvJ54SsKFAUV5RYdui4Y8/3lLOOXCfuNjL6cowsOFx8HONs3XfTGo4jho=,iv:lN1FLN8lYfy35PjNtKa1ZGEdlm4jsnkNPlzM5cVeXzI=,tag:wdePY93T0s2wqHf6/aHrFA==,type:str]
    pgp: []
    unencrypted_regex: ^(apiVersion|metadata|kind|type)$
    version: 3.9.1
---
apiVersion: v1
kind: PersistentVolumeClaim
metadata:
    name: container-registry-pvc
    namespace: dev-stuff
spec:
    storageClassName: ENC[AES256_GCM,data:kQDyAFCPls0Pig==,iv:W1SWgM3KcdmGAtpe5v3G5219uz3U04osvVWH7WKoTW0=,tag:Ir+k0mxfxFmUXblP6tYs/g==,type:str]
    accessModes:
        - ENC[AES256_GCM,data:wWSTTMNNwH1+DLPFYg==,iv:zTii5P/er/df//2n5tu4TFJm7KAUucPmeDpJsUchnJ4=,tag:xxYzzTiQt1L4ePbVVAs6VA==,type:str]
    resources:
        requests:
            storage: ENC[AES256_GCM,data:KB9eaA==,iv:v+SRkhxtaQZJn9PG4hhlE1P2ho91PEL+g44PcAJXro0=,tag:ZhYOpFbNdpWS6Gr4bLrVhw==,type:str]
sops:
    kms: []
    gcp_kms: []
    azure_kv: []
    hc_vault: []
    age:
        - recipient: age1u0mt3kmhsr9tz2jaw8n0ztu7s9hnlffkd2acxf85cvk6tysj4gsqqulfdq
          enc: |
            -----BEGIN AGE ENCRYPTED FILE-----
            YWdlLWVuY3J5cHRpb24ub3JnL3YxCi0+IFgyNTUxOSBlU296Skg0NzkrM1R4M09D
            ZnNtNVh2WG00U1lOaGhMUVpYQ1laOEVRUTBNCmgya3M3enJjRm80WHdydVh6OUVm
            NzdWR0NzN2ZEOFBYUG95WlBKM05ZTUkKLS0tIFk3Znk3WGxnRjZpejFFRGFOTVhh
            Q3hvK2JpUVhHbjBTVmRsSnpycWRHMWcKGvwJ+lktYqWGPlPmMAkTMMwMF9dEg0HS
            FUvbSlUifQdbJixnV2qY3j90MRlcMPFG1V7YzCmqDHgNHW8jbrsJNg==
            -----END AGE ENCRYPTED FILE-----
    lastmodified: "2025-06-29T21:30:59Z"
    mac: ENC[AES256_GCM,data:XkuOOlptSqmd+ZyFKyaQaI2qR49Lex2/4Fqx8ZB7vwLBBePn20rWJRvDU5yRlG1Ydt10UtL0VoDwmxB3cf3Bdg7nfejEpeCkcdJseSAPszAINgcGaPrvJ54SsKFAUV5RYdui4Y8/3lLOOXCfuNjL6cowsOFx8HONs3XfTGo4jho=,iv:lN1FLN8lYfy35PjNtKa1ZGEdlm4jsnkNPlzM5cVeXzI=,tag:wdePY93T0s2wqHf6/aHrFA==,type:str]
    pgp: []
    unencrypted_regex: ^(apiVersion|metadata|kind|type)$
    version: 3.9.1
---
apiVersion: v1
kind: Service
metadata:
    labels:
        app: container-registry
    name: container-registry-svc
    namespace: dev-stuff
    annotations:
        metallb.universe.tf/allow-shared-ip: internal
spec:
    type: LoadBalancer
    loadBalancerIP: ENC[AES256_GCM,data:60y0WBtBNXl4WOC44Q==,iv:PGqeDSLCxff2SW+IOVMPXxYrXsQkmWtA7T71OAX0bf4=,tag:pramPd9DBfhsQXfnh9wBGw==,type:str]
    ports:
        - port: ENC[AES256_GCM,data:/rl7Dw==,iv:NXenIQmBRp98cVUYq4AGAXr+Vx0hjZftS91tykS/ShU=,tag:CAqw8s9wgxyr6ux82QGTLA==,type:int]
          protocol: ENC[AES256_GCM,data:7JW8,iv:NbXl0mSftKC/6h4MEUHwbsIpI2lSBHKuzs349BCq1L0=,tag:SP+LyyskJbX/M6fMG8JFtQ==,type:str]
          targetPort: ENC[AES256_GCM,data:kST31g==,iv:jIW7+ZJDUgaW8McbQc8KnlW23hf+SoMqZ05g14k4X2c=,tag:w6S474cMXSs6ZdbyVLduyg==,type:int]
    selector:
        app: ENC[AES256_GCM,data:AGtSv4CW7kW5cnV3OYhmmzcQ,iv:nexxOxJB6r4MwqjY/qjiMAlGxPFqiXVTFBzQrDt3n+8=,tag:ts7X9lvSL/I+8Hfx4GDI/Q==,type:str]
sops:
    kms: []
    gcp_kms: []
    azure_kv: []
    hc_vault: []
    age:
        - recipient: age1u0mt3kmhsr9tz2jaw8n0ztu7s9hnlffkd2acxf85cvk6tysj4gsqqulfdq
          enc: |
            -----BEGIN AGE ENCRYPTED FILE-----
            YWdlLWVuY3J5cHRpb24ub3JnL3YxCi0+IFgyNTUxOSBlU296Skg0NzkrM1R4M09D
            ZnNtNVh2WG00U1lOaGhMUVpYQ1laOEVRUTBNCmgya3M3enJjRm80WHdydVh6OUVm
            NzdWR0NzN2ZEOFBYUG95WlBKM05ZTUkKLS0tIFk3Znk3WGxnRjZpejFFRGFOTVhh
            Q3hvK2JpUVhHbjBTVmRsSnpycWRHMWcKGvwJ+lktYqWGPlPmMAkTMMwMF9dEg0HS
            FUvbSlUifQdbJixnV2qY3j90MRlcMPFG1V7YzCmqDHgNHW8jbrsJNg==
            -----END AGE ENCRYPTED FILE-----
    lastmodified: "2025-06-29T21:30:59Z"
    mac: ENC[AES256_GCM,data:XkuOOlptSqmd+ZyFKyaQaI2qR49Lex2/4Fqx8ZB7vwLBBePn20rWJRvDU5yRlG1Ydt10UtL0VoDwmxB3cf3Bdg7nfejEpeCkcdJseSAPszAINgcGaPrvJ54SsKFAUV5RYdui4Y8/3lLOOXCfuNjL6cowsOFx8HONs3XfTGo4jho=,iv:lN1FLN8lYfy35PjNtKa1ZGEdlm4jsnkNPlzM5cVeXzI=,tag:wdePY93T0s2wqHf6/aHrFA==,type:str]
    pgp: []
    unencrypted_regex: ^(apiVersion|metadata|kind|type)$
    version: 3.9.1
---
apiVersion: apps/v1
kind: Deployment
metadata:
    name: container-registry
    namespace: dev-stuff
    labels:
        app: container-registry
spec:
    replicas: ENC[AES256_GCM,data:0Q==,iv:2GTSXwx0ax1i6NV4yYhylIbvVnXHcsfUeusvObymPrM=,tag:IMsIpsFhMNiPRhn+IEvRlQ==,type:int]
    selector:
        matchLabels:
            app: ENC[AES256_GCM,data:xJLcSADfPV0t4B0otF3hHXPz,iv:eUbfvk5S/56Npw6q2j8V/EYlfSKaauIOBEcLtHhmjcI=,tag:yra6a4cdJbKiUZHypMFJFA==,type:str]
    template:
        metadata:
            labels:
                app: container-registry
                name: container-registry
        spec:
            containers:
                - name: ENC[AES256_GCM,data:tCVuDhh6ovA=,iv:vK29NLNMJYQprsqnT1p+RVjzVKwol6r+2On4/PZxSns=,tag:ZJcdx6u7a2gf6+vW96SHmQ==,type:str]
                  image: ENC[AES256_GCM,data:a/TTbgYPLZhyEY6m,iv:fQRBwR76IvZJ+lNdE3hx66rn+pmJ7TxcSujD7odwbLQ=,tag:xY93yWDDlabXl3/Giil+Tw==,type:str]
                  env:
                    - name: ENC[AES256_GCM,data:dR7H+x7xVH4EGfKBxA==,iv:A9Zqsatb1bITZtSbzMjyo2Dy2aAIbA2x3c/yYzqXyv0=,tag:HZaFK5H7I3hb6m0Qyoi3Cg==,type:str]
                      value: ENC[AES256_GCM,data:D9CwOjxSrEo=,iv:Vs3dUwf4xYC7lK/0XDw/5RsEFtU/w3WqQI1yXmXjyCI=,tag:9+t8371S10siXIe+jEylHA==,type:str]
                    - name: ENC[AES256_GCM,data:CyjZQdedmJ9o5dQjCO+XglbHsg8J+oDOzUY33w==,iv:n0m5q1V03kKtgKIpu2y3wO7jk+S/3wXNfnDbjNyu5Jk=,tag:OS91iEgAVRekIaXbEc/HCw==,type:str]
                      value: ENC[AES256_GCM,data:lFfCry77A90CB/onMHE=,iv:8+wbtngqMmRDcaRRigWhh1lv1KsdX+GV6eux86xHh3U=,tag:23o4j1bspPV5uvkGNsGqTw==,type:str]
                    - name: ENC[AES256_GCM,data:CajSbJsfMH5qtardR73z6o7R6yADfYp1aNev,iv:c6s/PSLdNM/DHA8GkDwc/EMQOqzfrnWR2L6BmerjBH0=,tag:mH5Am9VsbkSr2NXqcd7ZNw==,type:str]
                      value: ENC[AES256_GCM,data:wZl9WGEg2zYXbeEmzV4=,iv:E3uTFl04hXgld4rWOxqOiUu3zPD8mc3GMIGlogP65j0=,tag:J6MtZ3FANe2iHiotSSR2sA==,type:str]
                    - name: ENC[AES256_GCM,data:0hCcp8Vdk/mPjsfZnRNTBC/vz+/9,iv:Xtmm72ec8tvryo7u4BAu7/876JUD1wANsVv25UGZbkc=,tag:AB0qCO48wUUkS6+WawNhng==,type:str]
                      value: ENC[AES256_GCM,data:mL3LxUpcSiDVJFeuk6wB4A==,iv:qWZpraVfPGpXPMPT6LhDIwKZqGw1gAxPgqnXh6fSwOE=,tag:bj5xee6YejYW0jhjbFiy9Q==,type:str]
                    - name: ENC[AES256_GCM,data:0ksAMr5iu6WonCmFS3EHQ6LWpbPkOuM+KqqwS0o=,iv:+CgwaYnopIzS8GeWFJ/5X/2DS77rR9t7ZJv7o/UXS3M=,tag:oUzeMmLm9CjNXNanof2qIw==,type:str]
                      value: ENC[AES256_GCM,data:qILd0WdziSgKGbnkSndIBg==,iv:KRvA5uEJayG4RexdeqyBtv3oCpN8JDQlFFHApJ6Rjhc=,tag:RFcj2yC2D29+EdusdDWSdg==,type:str]
                    - name: ENC[AES256_GCM,data:QHmsOYnln7kbEC8KcogaMNfy,iv:7zrG3sicIwDDh17noXOM5kCTSIn/djkvko9HM9qByFE=,tag:vlfbYZHie951GLsmiKfDZw==,type:str]
                      value: ENC[AES256_GCM,data:sCJJNQxvUV2IeIK7OjRq2RykEBxCcQJCOMM/p3QA2orEBOw=,iv:e3vGUD1adHLuTOHfWxVnwiPtqDf7kuExCU6LwvYC6qU=,tag:veOke5fAFiQS3bLBA9g+KA==,type:str]
                  ports:
                    - containerPort: ENC[AES256_GCM,data:UKOGsQ==,iv:D3uS21VtaUfqYzhbhXuy7EHn0kEyl9CVA1mBKkObKMw=,tag:c+gSiFqgG2x6Td4Tt9I1rw==,type:int]
                  volumeMounts:
                    - name: ENC[AES256_GCM,data:jhmSr3sCjC26DRti,iv:5d4rV8DWxl+2bP1r/It0XhoxugIwkjjJ9gLZVOXLjek=,tag:AHJ5mQP/qrzSXuYKCKk9Nw==,type:str]
                      mountPath: ENC[AES256_GCM,data:Lini8cJlrVjl0ihw89BN0tk=,iv:868In7xgxXZ0JKPqbHxG40/0MIzYqUmCad9QlZreYMA=,tag:dT61yLuLacs8HSLoPKI2+g==,type:str]
                    - name: ENC[AES256_GCM,data:GFB4BFIp/KmyLG7SVwhA780=,iv:lyRoIjjzBzsrJy3uABYgvkrwBhOmiXDVkAxujGvoF54=,tag:G5GJ7o4OP6gkjq2kPGH/og==,type:str]
                      mountPath: ENC[AES256_GCM,data:XcThw65xFAc=,iv:h++fsXgPA7oaE7S/2ktUbuSqvvzmNMTVKX4Bnikw4OI=,tag:ofXoHXRODWquwrvUKiUHpQ==,type:str]
                    - name: ENC[AES256_GCM,data:0XjENbbQCQH6sh+J3w==,iv:ZE4/1egfFICFJEjIU2FUksIuc/5iWsG22qMUZ5Zw/uU=,tag:xXduG3DtUMkiBvrSkDnc/g==,type:str]
                      mountPath: ENC[AES256_GCM,data:BAUEcFI=,iv:ymX1FJxeKyYl2K6XlYjWuF0yarb2JNTb7bBED/fxBRc=,tag:Zs3XeTK+WkRDjxjeybjLCA==,type:str]
                  resources: {}
            volumes:
                - name: ENC[AES256_GCM,data:0CzEvq7zjRuC0QZs,iv:Ppyld2M+fwhoOn+3mqeO2tqQhiwcEkf7olMIlH87VYw=,tag:csiQcnYlzJlUU8he8b6VLA==,type:str]
                  persistentVolumeClaim:
                    claimName: ENC[AES256_GCM,data:fsc8ZyhTZgdreTOGzHxK4pC7JRXarQ==,iv:QOOcmTkHY9xQ2pSDBpfWp2fXZtf+mXMxrdTyy5UQ03A=,tag:xEjKif0GhhjgdQcunS80Lg==,type:str]
                - name: ENC[AES256_GCM,data:jRv+Vc4gobJqmdpUdPBt4R4=,iv:GEjjPygQX/CBaEPmX5kRkjW5oG45vjAvLgiqcF80+ns=,tag:m1qZ3i83aGI4dGVrURvkYQ==,type:str]
                  secret:
                    secretName: ENC[AES256_GCM,data:iYjfbNBDDXtz91eKbvlx5wE=,iv:1ala6Nr+yOu7R1/yJiFrASJrt+5i5mBAeIOi0R5xxw8=,tag:yLkwR4ErelLI6d3Gssn2pA==,type:str]
                - name: ENC[AES256_GCM,data:yBOXb6ujuFCZye7cag==,iv:oMnTotAhfQ4vAYLTpvRGa7CWTWd9iNmqSpRepDPY39k=,tag:3qIkL4b+WFWDw9Um6WRhrg==,type:str]
                  secret:
                    secretName: ENC[AES256_GCM,data:H6fBVyD7kljw4ZnQUA==,iv:NJ4lt37mCOUs6eo2SWvuYfBDFciQyWNjzMDBMniUIQc=,tag:fNEBktCp8pcm1Koi93uYvw==,type:str]
sops:
    kms: []
    gcp_kms: []
    azure_kv: []
    hc_vault: []
    age:
        - recipient: age1u0mt3kmhsr9tz2jaw8n0ztu7s9hnlffkd2acxf85cvk6tysj4gsqqulfdq
          enc: |
            -----BEGIN AGE ENCRYPTED FILE-----
            YWdlLWVuY3J5cHRpb24ub3JnL3YxCi0+IFgyNTUxOSBlU296Skg0NzkrM1R4M09D
            ZnNtNVh2WG00U1lOaGhMUVpYQ1laOEVRUTBNCmgya3M3enJjRm80WHdydVh6OUVm
            NzdWR0NzN2ZEOFBYUG95WlBKM05ZTUkKLS0tIFk3Znk3WGxnRjZpejFFRGFOTVhh
            Q3hvK2JpUVhHbjBTVmRsSnpycWRHMWcKGvwJ+lktYqWGPlPmMAkTMMwMF9dEg0HS
            FUvbSlUifQdbJixnV2qY3j90MRlcMPFG1V7YzCmqDHgNHW8jbrsJNg==
            -----END AGE ENCRYPTED FILE-----
    lastmodified: "2025-06-29T21:30:59Z"
    mac: ENC[AES256_GCM,data:XkuOOlptSqmd+ZyFKyaQaI2qR49Lex2/4Fqx8ZB7vwLBBePn20rWJRvDU5yRlG1Ydt10UtL0VoDwmxB3cf3Bdg7nfejEpeCkcdJseSAPszAINgcGaPrvJ54SsKFAUV5RYdui4Y8/3lLOOXCfuNjL6cowsOFx8HONs3XfTGo4jho=,iv:lN1FLN8lYfy35PjNtKa1ZGEdlm4jsnkNPlzM5cVeXzI=,tag:wdePY93T0s2wqHf6/aHrFA==,type:str]
    pgp: []
    unencrypted_regex: ^(apiVersion|metadata|kind|type)$
    version: 3.9.1
